package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsFamousPrescribe;
import com.fs.his.param.FsFamousPrescribeListUParam;
import com.fs.his.vo.FsFamousPrescribeExecelVO;
import com.fs.his.vo.FsFamousPrescribeListUVO;
import com.fs.his.vo.FsFamousPrescribeListVO;

/**
 * 经典名方Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsFamousPrescribeService
{
    /**
     * 查询经典名方
     *
     * @param id 经典名方主键
     * @return 经典名方
     */
    public FsFamousPrescribe selectFsFamousPrescribeById(Long id);

    /**
     * 查询经典名方列表
     *
     * @param fsFamousPrescribe 经典名方
     * @return 经典名方集合
     */
    public List<FsFamousPrescribe> selectFsFamousPrescribeList(FsFamousPrescribe fsFamousPrescribe);

    /**
     * 新增经典名方
     *
     * @param fsFamousPrescribe 经典名方
     * @return 结果
     */
    public int insertFsFamousPrescribe(FsFamousPrescribe fsFamousPrescribe);

    /**
     * 修改经典名方
     *
     * @param fsFamousPrescribe 经典名方
     * @return 结果
     */
    public int updateFsFamousPrescribe(FsFamousPrescribe fsFamousPrescribe);

    /**
     * 批量删除经典名方
     *
     * @param ids 需要删除的经典名方主键集合
     * @return 结果
     */
    public int deleteFsFamousPrescribeByIds(Long[] ids);

    /**
     * 删除经典名方信息
     *
     * @param id 经典名方主键
     * @return 结果
     */
    public int deleteFsFamousPrescribeById(Long id);


    List<FsFamousPrescribeListVO> selectFsFamousPrescribeListVO(FsFamousPrescribe fsFamousPrescribe);

    String importData(List<FsFamousPrescribeExecelVO> list);

    List<FsFamousPrescribeListUVO> selectFsFamousPrescribeListUVO(FsFamousPrescribeListUParam param);
}
